Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search payments by id, note, or serviceable_id

filter[id]
string

Filter by exact id. Supports comma-separated values for multiple matches.

Example:

"3,6,9"

filter[type]
string

Filter by exact type. Supports comma-separated values for multiple matches.

Example:

"example"

filter[serviceable_type]
string

Filter by exact serviceable type. Supports comma-separated values for multiple matches.

Example:

"example"

filter[serviceable_id]
string

Filter by exact serviceable id. Supports comma-separated values for multiple matches.

Example:

313493

filter[is_fine]
boolean

Filter by fine status

filter[is_warehouse]
boolean

Filter by warehouse status

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

sort
enum<string>
default:-created_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
type,
-type,
amount,
-amount,
balance_after,
-balance_after,
is_fine,
-is_fine,
created_at,
-created_at,
updated_at,
-updated_at
Example:

"-created_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of user payments

data
object[]
meta
object